<?php
	require_once('includes/config.php');
	if(isset($_POST["programme"]))
	{
		setcookie('last_algo', '', time() - 3600, $base_url);
		setcookie('algorithme', '', time() - 3600, $base_url);
		setcookie('algo', '', time() - 3600, $base_url);
	}
?>

<!DOCTYPE html>
<html>
    <head>
        <meta charset="utf-8" />
		<link rel="stylesheet" type="text/css" href="assets/css/stylesheet.css" />
		<link rel="shortcut icon" type="image/x-icon" href="assets/img/theme/favicon_ie.ico">
		<link rel="stylesheet" type="text/css" href="assets/css/jquery/jquery.cleditor.css" />

		<script type="text/javascript" src="assets/js/jquery/jquery.js"></script>
		<script type="text/javascript" src="assets/js/jquery/jquery.cleditor.js"></script>
		<script type="text/javascript" src="assets/js/interface.js"></script>
		<script type="text/javascript" src="assets/js/compil1.js"></script>
		<script type="text/javascript" src="assets/js/compil2.js"></script>
		<script type="text/javascript" src="assets/js/traduction.js"></script>
		<script type="text/javascript" src="assets/js/execution.js"></script>

        <title>Festiv'Algo - Programmer, exécuter et traduire des algorithmes pour toutes les calculatrices</title>
		<meta name="keywords" content="festivalgo, algobox, algorithme, algorithmique, traduction pour calculatrice, Casio, TI, HP, en ligne, traduire, exécuter, programmer, mathématiques, ROC, bac" />
		<meta name="description" content="Application pédagogique d'initiation à l'algorithmique dans l'esprit des nouveaux programmes de mathématiques. Une interface simple et interactive, des exemples, un tutoriel et un forum pour toutes vos questions." />
	</head>

    <body>
		<div id="content" style="height: 1040px">
			<?php require_once("includes/menu.php"); ?>
			
			<aside>
				<p id="vous_programmez_en">Vous <strong>programmez</strong> en</p>
				<p class="langage_actuel" id="langage_algo"><mark>algorithme</mark></p>
				<p class="langage_actuel" id="langage_casio"><mark>Basic Casio</mark></p>
				<p class="langage_actuel" id="langage_ti"><mark>Ti-Basic</mark></p>
				<img class="conversion" id="conversion_algo" src="assets/img/programm/conversion_algo.png"/>
				<img class="conversion" id="conversion_casio" src="assets/img/programm/conversion_casio.png"/>
				<img class="conversion" id="conversion_ti" src="assets/img/programm/conversion_ti.png"/>
			</aside>
			
			<aside>
				<p id="annonces">Annonces</p>
				<div id='texteAnnonce'>Festiv'Algo a change de serveur ! Il est desormais disponible a cette adresse :<br />tools.planet-casio.com/FestivAlgo</div>
			</aside>
			
			<article id="algorithmie">
				<img id="support_menus" src="assets/img/programm/editor/support_menus.png"/>
				<img id="selection" src="assets/img/programm/editor/onglet_deroulant_selection.png"/>
				
				<img class="icone" id="entrees-sorties" alt="Entrées/Sorties" title="Entrées/Sorties" src="assets/img/programm/editor/entrees-sorties.png"/>
				<img class="icone" id="conditions" alt="Conditions" title="Conditions" src="assets/img/programm/editor/conditions.png"/>
				<img class="icone" id="boucles" alt="Boucles" title="Boucles" src="assets/img/programm/editor/boucles.png"/>
				<img class="icone" id="autres" alt="Autres" title="Autres" src="assets/img/programm/editor/autres.png"/>
				
				<img class="onglet_deroulant" id="onglet_deroulant1" src="assets/img/programm/editor/onglet_deroulant.png"/>
				<img class="onglet_deroulant" id="onglet_deroulant2" src="assets/img/programm/editor/onglet_deroulant.png"/>
				<img class="onglet_deroulant" id="onglet_deroulant3" src="assets/img/programm/editor/onglet_deroulant.png"/>
				<img class="onglet_deroulant" id="onglet_deroulant4" src="assets/img/programm/editor/onglet_deroulant.png"/>
				<img class="onglet_deroulant" id="onglet_deroulant5" src="assets/img/programm/editor/onglet_deroulant.png"/>
				<img class="onglet_deroulant" id="onglet_deroulant6" src="assets/img/programm/editor/onglet_deroulant.png"/>
				<img class="onglet_deroulant" id="onglet_deroulant7" src="assets/img/programm/editor/onglet_deroulant.png"/>
				<img class="onglet_deroulant" id="onglet_deroulant8" src="assets/img/programm/editor/onglet_deroulant.png"/>
				
				<p class="instruction" id="instruction1"></p>
				<p class="instruction" id="instruction2"></p>
				<p class="instruction" id="instruction3"></p>
				<p class="instruction" id="instruction4"></p>
				<p class="instruction" id="instruction5"></p>
				<p class="instruction" id="instruction6"></p>
				<p class="instruction" id="instruction7"></p>
				<p class="instruction" id="instruction8"></p>
	
				<p id="infos"><span id="info_contenu">Cliquez sur l'une des icônes, puis sélectionnez une <strong>instruction</strong>.</span></p>
				
				<form name="code"><textarea cols="41" rows="22" name="Saisie" id="saisie" spellcheck="false" method="post" action="<?= $base_url ?>">
					<?php 
						if(isset($_POST["programme"]))
						{
							echo $_POST["programme"];
						}
					?>
				</textarea></form>
				<section id="debug">
					<img id="attention" src="assets/img/programm/attention.png"/>
					<p id="debug_titre">Erreurs de syntaxe :</p>
				</section>
				
				<img class="signes_icone" id="signe_icone1" src="assets/img/programm/editor/signes.png"/>
				<img class="signes_icone" id="signe_icone2" src="assets/img/programm/editor/signes.png"/>
				<img class="signes_icone" id="signe_icone3" src="assets/img/programm/editor/signes.png"/>
				<img class="signes_icone" id="signe_icone4" src="assets/img/programm/editor/signes.png"/>
				<img class="signes_icone" id="signe_icone5" src="assets/img/programm/editor/signes.png"/>
				<img class="signes_icone" id="signe_icone6" src="assets/img/programm/editor/signes.png"/>
				<img class="signes_icone" id="signe_icone7" src="assets/img/programm/editor/signes.png"/>
				<img class="signes_icone" id="signe_icone8" src="assets/img/programm/editor/signes.png"/>
			
				<p class="signes" id="signe1">&ge;</p>
				<p class="signes" id="signe2">&le;</p>
				<p class="signes" id="signe3">&ne;</p>
				<p class="signes" id="signe4">&radic;</p>
				<p class="signes" id="signe5">^</p>
				<p class="signes" id="signe6">&pi;</p>
				<p class="signes" id="signe7">e</p>
				<p class="signes" id="signe8">ln</p>
				
				<div id="execution">
					<p id="resultats_titre"><mark>Exécution</mark> :</p>
					<div id="resultats"></div>
				</div>
				<div id="boutons_execution">
					<img class="bouton" id="executer" src="assets/img/programm/executer.png"/>
					<img class="bouton" id="pause" title="Pause" src="assets/img/programm/pause.png"/>
					<img class="bouton" id="reset" src="assets/img/programm/reset.png"/>
				</div>
				<div id="variables">
					<p id="variable_titre"><strong>Variables</strong> :</p>
					
					<p class="vars" id="var_a"></p>
					<p class="vars" id="var_b"></p>
					<p class="vars" id="var_c"></p>
					<p class="vars" id="var_d"></p>
					<p class="vars" id="var_e"></p>
					<p class="vars" id="var_f"></p>
					<p class="vars" id="var_g"></p>
					<p class="vars" id="var_h"></p>
					<p class="vars" id="var_i"></p>
					<p class="vars" id="var_j"></p>
					<p class="vars" id="var_k"></p>
					<p class="vars" id="var_l"></p>
					<p class="vars" id="var_m"></p>
					<p class="vars" id="var_n"></p>
					<p class="vars" id="var_o"></p>
					<p class="vars" id="var_p"></p>
					<p class="vars" id="var_q"></p>
					<p class="vars" id="var_r"></p>
					<p class="vars" id="var_s"></p>
					<p class="vars" id="var_t"></p>
					<p class="vars" id="var_u"></p>
					<p class="vars" id="var_v"></p>
					<p class="vars" id="var_w"></p>
					<p class="vars" id="var_x"></p>
					<p class="vars" id="var_y"></p>
					<p class="vars" id="var_z"></p>
				</div>
			
				<img id="disable" src="assets/img/programm/editor/disable.png"/>
			</article>
		</div>
		<?php require_once("includes/bas_de_page.php"); ?>
    </body>
</html>